import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["Link", "href", "target", "rel", "disabled", "children"];
import PropTypes from 'prop-types';
import { LINK_TYPES } from '../constants.js';
/**
 * Component treated as an anchor when href is defined
 */

import { jsx as _jsx } from "react/jsx-runtime";

var ActionableTagContainer = function ActionableTagContainer(_ref) {
  var Link = _ref.Link,
      href = _ref.href,
      target = _ref.target,
      rel = _ref.rel,
      disabled = _ref.disabled,
      children = _ref.children,
      props = _objectWithoutPropertiesLoose(_ref, _excluded);

  return href && !disabled ? /*#__PURE__*/_jsx(Link, _extends({
    role: "button",
    href: href,
    target: target,
    rel: rel,
    disabled: disabled
  }, props, {
    children: children
  })) : /*#__PURE__*/_jsx("span", _extends({
    role: "button"
  }, props, {
    disabled: disabled,
    children: children
  }));
};

export default ActionableTagContainer;