import PropTypes from 'prop-types';
import cx from 'classnames';
import { jsx as _jsx } from "react/jsx-runtime";
import { jsxs as _jsxs } from "react/jsx-runtime";

var StandardTag = function StandardTag(_ref) {
  var className = _ref.className,
      closeIcon = _ref.closeIcon,
      icon = _ref.icon,
      label = _ref.label,
      onClose = _ref.onClose,
      value = _ref.value,
      disabled = _ref.disabled;
  var classNames = cx(className, closeIcon && 'sui-AtomTag-hasClose');

  var handleClick = function handleClick(ev) {
    if (!disabled) {
      onClose(ev, {
        value: value,
        label: label
      });
      ev.stopPropagation();
    }
  };

  return /*#__PURE__*/_jsxs("span", {
    className: classNames,
    children: [icon && /*#__PURE__*/_jsx("span", {
      className: "sui-AtomTag-icon",
      children: icon
    }), /*#__PURE__*/_jsx("span", {
      className: "sui-AtomTag-label",
      title: label,
      children: label
    }), closeIcon && !disabled && /*#__PURE__*/_jsx("span", {
      className: "sui-AtomTag-closeable",
      onClick: handleClick,
      children: /*#__PURE__*/_jsx("span", {
        className: "sui-AtomTag-closeableIcon sui-AtomTag-secondary-icon",
        children: closeIcon
      })
    })]
  });
};

export default StandardTag;